services:
  

  AppServerPortalUI:
    image: nginx:alpine
    container_name: appServer_PortalUI
    volumes:
      - /home/chk/Documents/AppServerPortalUI/nginx.conf:/etc/nginx/conf.d/default.conf:ro
      - /home/chk/Documents/AppServerPortalUI/public:/usr/share/nginx/html:ro
      - /home/chk/Documents/AppServerPortalUI/certs:/etc/ssl:ro
    ports:
      - "5080:80"
      - "443:443"
    networks:
      - default
    restart: unless-stopped
    command: ["nginx", "-g", "daemon off;"]

  AppServerAuth:
    image: node:18
    container_name: appServer_Auth
    volumes:
      - /home/chk/Documents/AppServerPortalUI/auth:/usr/src/app
    working_dir: /usr/src/app
    command: sh -c "npm install && node auth.js"
    ports:
      - "10300:3000"  # optional, für Tests
    networks:
      - default
    restart: unless-stopped

networks:
  default:
    